Loading...
Searching...
No Matches
Opm::CompositionalContainer< FluidSystem > Class Template Reference

## Public Types

using | AssignFunction = std::function<Scalar(const unsigned)>

## Public Member Functions

void | allocate (const unsigned bufferSize, std::map< std::string, int > &rstKeywords)
void | assignGasFractions (const unsigned globalDofIdx, const AssignFunction &fractions)
void | assignMoleFractions (const unsigned globalDofIdx, const AssignFunction &fractions)
void | assignOilFractions (const unsigned globalDofIdx, const AssignFunction &fractions)
void | outputRestart (data::Solution &sol, ScalarBuffer &oil_saturation)
bool | allocated () const

The documentation for this class was generated from the following files:

- opm/simulators/flow/CompositionalContainer.hpp
- opm/simulators/flow/CompositionalContainer.cpp